From e820f72335a43a851a74fb0ccbe002d741663b2c Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Aug 15 2017 14:31:29 +0000
Subject: [PATCH 924/1001] Fix tests after 812c2158


---

diff --git a/hubs/tests/test_models.py b/hubs/tests/test_models.py
index 3b4c6b3..175caa1 100644
--- a/hubs/tests/test_models.py
+++ b/hubs/tests/test_models.py
@@ -30,7 +30,7 @@ class ModelTest(hubs.tests.APPTest):
 
         # check if widgets still are intact
         widgets = hubs.models.Widget.by_hub_id_all(hub.name)
-        self.assertEqual(13, len(widgets))
+        self.assertEqual(12, len(widgets))
 
     def test_delete_hubs(self):
         # verify the hub exists
@@ -46,7 +46,7 @@ class ModelTest(hubs.tests.APPTest):
 
         # check if widgets exist
         widgets = hubs.models.Widget.by_hub_id_all(hub.name)
-        self.assertEqual(13, len(widgets))
+        self.assertEqual(12, len(widgets))
 
         # delete the hub
         self.session.delete(hub)
diff --git a/hubs/tests/views/test_hub_view.py b/hubs/tests/views/test_hub_view.py
index f82127c..68b822c 100644
--- a/hubs/tests/views/test_hub_view.py
+++ b/hubs/tests/views/test_hub_view.py
@@ -72,7 +72,7 @@ class HubViewTestCase(APPTest):
             "name": "ralph",
             "owners": ["ralph"],
             "subscribers": [],
-            "widgets": [37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 61],
+            "widgets": [34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 56],
         }
         self.assertDictEqual(data, json.loads(result.get_data(as_text=True)))
 

